this.name                   = "aegis_clear.js";
this.author                 = "Stranger";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Script for simulating hyperjump clearance beyond Aegis zone";
this.version				= "0.2";

this.startUp = this.shipDied = function()
	{
    this.departureFlag = 0;
    this.fuelBuffer = 0;
	}
delete this.startUp;

this.shipExitedStationAegis = function()
    {
    this.departureFlag = 1;
    }

this.shipEnteredStationAegis = function()
    {
    this.departureFlag = 0;
    }

this.playerStartedJumpCountdown = function()
	{
    if (this.departureFlag == 0)
        {
        this.fuelBuffer = player.ship.fuel;
        player.ship.fuel = 0;
        }
    }
    
this.playerCancelledJumpCountdown = function()
	{
    if (this.fuelBuffer > 0)
        {
        player.ship.fuel = this.fuelBuffer - 0.1;
        this.fuelBuffer = 0;
        }
    }    

